/**
 * @file prt_vsa.c
 * @brief PULSAR Runtime (PRT)
 * @author Jakub Kurzak
 *
 * @defgroup API PRT Application Programming Interface
 *
 * PULSAR Runtime
 * http://icl.eecs.utk.edu/pulsar/
 * Copyright (C) 2012-2013 University of Tennessee.
 */

#ifndef PRT_H
#define PRT_H

#include <stdlib.h>
#include <stdio.h>
#include <assert.h>
#include <string.h>
#include <stdarg.h>
#include <limits.h>
#include <malloc.h>
#include <pthread.h>
#include <mpi.h>

#include "icl_list.h"
#include "icl_hash.h"
#include "icl_deque.h"
#include "svg_trace.h"
#include "prt_assert.h"
#include "prt_tuple.h"
#include "prt_packet.h"
#include "prt_channel.h"
#include "prt_vdp.h"
#include "prt_thread.h"
#include "prt_request.h"
#include "prt_proxy.h"
#include "prt_config.h"
#include "prt_vsa.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __cplusplus
}
#endif

#endif /* PRT_H */
