/**
 * @file prt_packet.h
 * @brief PRT data packet
 * @author Jakub Kurzak
 *
 * PULSAR Runtime
 * http://icl.eecs.utk.edu/pulsar/
 * Copyright (C) 2012-2013 University of Tennessee.
 */

#ifndef PRT_PACKET_H
#define PRT_PACKET_H

#include "prt.h"

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief VDP's data packet
 * A packet of data transferred through VDP's channels.
 */
typedef struct prt_packet_s {
    void *data;     // pointer to the data
    int num_refs;   // number of active references
} prt_packet_t;

prt_packet_t *prt_packet_new(size_t data_size);
void prt_packet_release(prt_packet_t *packet);

#ifdef __cplusplus
}
#endif

#endif /* PRT_PACKET_H */
